Skip to main content

Replay Webhook Delivery

POST /v1/webhooks/deliveries/{delivery_id}/replay

Authentication

Requires authentication via: OAuth2PasswordBearer.

Parameters

NameInTypeRequiredDescriptionConstraints
delivery_idpathstringYes
X-API-Keyheaderstring | nullNonullable

Responses

200

Successful Response

application/json

Resolved schema:

{
"properties": {
"id": {
"type": "string",
"title": "Id"
},
"endpoint_id": {
"type": "string",
"title": "Endpoint Id"
},
"user_id": {
"type": "integer",
"title": "User Id"
},
"event_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Event Id"
},
"event_type": {
"type": "string",
"title": "Event Type"
},
"event_group": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Event Group"
},
"status": {
"type": "string",
"title": "Status"
},
"scheduled_attempt": {
"type": "integer",
"title": "Scheduled Attempt"
},
"next_retry_at": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
],
"title": "Next Retry At"
},
"last_attempt_at": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
],
"title": "Last Attempt At"
},
"delivered_at": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
],
"title": "Delivered At"
},
"final_http_status": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Final Http Status"
},
"error_message": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Error Message"
},
"replay_of_delivery_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Replay Of Delivery Id"
},
"created_at": {
"type": "string",
"format": "date-time",
"title": "Created At"
},
"updated_at": {
"type": "string",
"format": "date-time",
"title": "Updated At"
}
},
"type": "object",
"required": [
"id",
"endpoint_id",
"user_id",
"event_type",
"status",
"scheduled_attempt",
"created_at",
"updated_at"
],
"title": "WebhookDeliveryResponse"
}

Field details:

FieldTypeRequiredDescriptionConstraints
idstringYes
endpoint_idstringYes
user_idintegerYes
event_idstring | nullNonullable
event_typestringYes
event_groupstring | nullNonullable
statusstringYes
scheduled_attemptintegerYes
next_retry_atstring | nullNoformat=date-time, nullable
last_attempt_atstring | nullNoformat=date-time, nullable
delivered_atstring | nullNoformat=date-time, nullable
final_http_statusinteger | nullNonullable
error_messagestring | nullNonullable
replay_of_delivery_idstring | nullNonullable
created_atstringYesformat=date-time
updated_atstringYesformat=date-time

422

Validation Error

application/json

Resolved schema:

{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}

Field details:

FieldTypeRequiredDescriptionConstraints
detailarray<object>No
detail[]objectNo
detail[].locarray<string | integer>No
detail[].loc[]string | integerNo
detail[].msgstringNo
detail[].typestringNo